Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.enterprise.servlet
Class ServletResponseWrapper

    java.lang.Object
      javax.servlet.ServletResponseWrapper
          javax.servlet.http.HttpServletResponseWrapper
              org.deegree.enterprise.servlet.ServletResponseWrapper

All Implemented Interfaces:
  javax.servlet.http.HttpServletResponse, javax.servlet.ServletResponse

    public class ServletResponseWrapper

extends javax.servlet.http.HttpServletResponseWrapper

The `ServletResponse` class is a wrapper for an HttpServletResponse object. It allows to repeatedly access the stream, without emptying it.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Nested Class Summary
`class` | `ServletResponseWrapper.ProxyServletOutputStream` The `ProxyServletOutputStream` class is a wrapper for OutputStream object thus allowing repeated access to the stream.

Field Summary
`protected javax.servlet.http.HttpServletResponse` | `origResponse` the original response
`protected javax.servlet.ServletOutputStream` | `stream` The output as a stream
`protected PrintWriter` | `writer` The output as a writer

Fields inherited from interface javax.servlet.http.HttpServletResponse
`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`ServletResponseWrapper(javax.servlet.http.HttpServletResponse response)`

Method Summary
`String` | `getContentType()`
`javax.servlet.ServletOutputStream` | `getOutputStream()`
`PrintWriter` | `getWriter()`
`void` | `reset()` It is possible to re-send the response of an already handled request (by a servlet) as a new request object.
`void` | `setContentType(String contentType)`

Methods inherited from class javax.servlet.http.HttpServletResponseWrapper
`addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, sendError, sendError, sendRedirect, setDateHeader, setHeader, setIntHeader, setStatus, setStatus`

Methods inherited from class javax.servlet.ServletResponseWrapper
`flushBuffer, getBufferSize, getCharacterEncoding, getLocale, getResponse, isCommitted, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setLocale, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletResponse
`flushBuffer, getBufferSize, getCharacterEncoding, getLocale, isCommitted, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setLocale`

Field Detail

### stream

    protected javax.servlet.ServletOutputStream stream

  The output as a stream

### writer

    protected PrintWriter writer

  The output as a writer

### origResponse

    protected javax.servlet.http.HttpServletResponse origResponse

  the original response

Constructor Detail

### ServletResponseWrapper

    public ServletResponseWrapper(javax.servlet.http.HttpServletResponse response)

Parameters:
  `response` -

Method Detail

### reset

    public void reset()

  It is possible to re-send the response of an already handled request (by a servlet) as a new request object. The new response will then be added (at the end) of the first response, if -for some reason- the (new) response alone should be send to the client. In this case the response stream must be reset before it is sent to the client anew. This is what this method is for.

  Specified by:
    `reset` in interface `javax.servlet.ServletResponse`
  Overrides:
    `reset` in class `javax.servlet.ServletResponseWrapper`

### getOutputStream

    public javax.servlet.ServletOutputStream getOutputStream()
                                                      throws IOException

  Specified by:
    `getOutputStream` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getOutputStream` in class `javax.servlet.ServletResponseWrapper`
  Throws:
    `IOException`

### getWriter

    public PrintWriter getWriter()
                          throws IOException

  Specified by:
    `getWriter` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getWriter` in class `javax.servlet.ServletResponseWrapper`
  Throws:
    `IOException`

### setContentType

    public void setContentType(String contentType)

  Specified by:
    `setContentType` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setContentType` in class `javax.servlet.ServletResponseWrapper`

### getContentType

    public String getContentType()

  Specified by:
    `getContentType` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getContentType` in class `javax.servlet.ServletResponseWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org